PHP 7.3 reaches end of support in December 2021 and Adobe Commerce 2.3.x reaches end of support in April 2022. We strongly recommend planning your upgrade now to Adobe Commerce 2.4.x and PHP 7.4.x to help maintain PCI compliance.

Add CLI commands

Your module can optionally use Magento 2’s Symfony-based command-line interface (CLI) to provide commands for users to interact with. To use the CLI, see the following topics: